/* 
  ==================================================
    Plans section feature
  --------------------------------------------------
    Dependencies:
      - variables
  ==================================================
*/

  .plans {
    &--section {
      position: relative;
      z-index: 3;
      @media screen {
        @media (min-width: 641px) {
          margin-top: -9em;
        }
        @media (max-width: 640px) {
          margin-top: -5.25em;
        }
      }
      .plan {
        background: lighten(@cGray, 17.5%);
        position: relative;
        overflow: hidden;
        height: 580px;
        padding: 2.75em;
        border-radius: 2px;
        box-shadow: 0 0 0 -30px transparent;
        box-sizing: border-box;
        transition: box-shadow ease (@transitionDuration * 6), background-color ease (@transitionDuration * 6);
        &:before {
          content: '';
          position: absolute;
          top: 3em;
          left: 0;
          border-top: 1em inset transparent;
          border-bottom: 1em inset transparent;
          border-left: 1.5em solid @cYellow;
          transition: all ease @transitionDuration;
          transition-delay: @transitionDuration * 4;
        }
        .description {
          position: relative;
          z-index: 1;
          .title {
            margin: .2em 0;
            font-size: 1.9em;
            letter-spacing: 0;
          }
          .sub-title {
            margin: 1em 0;
          }
        }
        @{buttonClass} {
          position: absolute;
          z-index: 2;
          bottom: 1.375em;
          left: 1.375em;
          right: 1.375em;
          width: auto;
        }
        .borders {
          @borderWidth: 4px;

          .top, .right, .bottom {
            position: absolute;
            z-index: 0;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            &:before, &:after {
              content: '';
              background: @cYellow;
              position: absolute;
              transition: all ease @transitionDuration * 2;
            }
          }
            .top {
              &:after {
                top: 4em;
                left: 0;
                width: @borderWidth;
                height: 0;
                transition-delay: @transitionDuration * 3;
              }
              &:before {
                top: 0;
                left: 0;
                width: 0;
                height: @borderWidth;
                transition-delay: @transitionDuration * 2;
              }
            }
            .right {
              &:after {
                top: 0;
                right: 0;
                width: @borderWidth;
                height: 0;
                transition-delay: 0s;
              }
            }
            .bottom {
              &:after {
                bottom: 0;
                left: 0;
                width: 0;
                height: @borderWidth;
                transition-delay: @transitionDuration * 1.5;
              }
              &:before {
                bottom: 0;
                right: 0;
                width: @borderWidth;
                height: 0;
                transition-delay: 0s;
              }
            }
        }
        &:hover {
          background-color: @cWhite;
          box-shadow: 0 10px 30px 0 fade(@cYellow, 50%);
          &:before {
            top: 2.5em;
            border-width: 1.5em 0 1.5em 0;
            transition-delay: 0s;
          }
          .borders {
            .top {
              &:after {
                top: 0;
                height: 100%;
                transition-delay: 0s;
              }
              &:before {
                width: 100%;
                transition-delay: @transitionDuration * 1.5;
              }
            }
            .right {
              &:after {
                height: 100%;
                transition-delay: @transitionDuration * 3;
              }
            }
            .bottom {
              &:after {
                width: 100%;
                transition-delay: @transitionDuration * 2;
              }
              &:before {
                height: 4em;
                transition-delay: @transitionDuration * 3.5;
              }
            }
          }
        }
      }
      .grid-layout {
        .flex--row {
          @media screen {
            @media (min-width: 961px) {
              margin-bottom: -60px;
              [class*="column"] {
                padding-bottom: 60px;
                &:nth-child(3n+2) {
                  margin-top: -4.4em;
                }
              }
            }
            @media (max-width: 960px) {
              margin-bottom: -30px;
              [class*="column"] {
                padding-bottom: 30px;
              }
            }
          }
        }
      }
    }
  }
